> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cj.agc-vie.fnstack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1policies claims

> Make a policy claim



## OpenAPI

````yaml post /v1/policies/{policy_id}/claims
openapi: 3.0.1
info:
  version: 1.0.0
  title: AGC-VIE - Customer Journeys API
  description: This API can be use for Customer journeys integrations with 3PPs
servers:
  - url: https://dev-api-cj-agc-vie.fnstack.dev
security:
  - API Key: []
paths:
  /v1/policies/{policy_id}/claims:
    post:
      tags:
        - Policies
      description: Make a policy claim
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    claim_declaration_type:
                      type: string
                      enum:
                        - BY_POLICY
                    policy_id:
                      type: string
                      minLength: 1
                      example: policy_2c1x7V4r47ynM4RABVm1Co0UKkG
                    claim_type:
                      type: string
                      enum:
                        - ACCIDENTAL_DEATH
                        - PARTIAL_REDEMPTION
                        - TERM_EXPIRED
                        - TOTAL_REDEMPTION
                      example: ACCIDENTAL_DEATH
                    claimant_id:
                      type: string
                      minLength: 1
                      description: Should be a policy holder ID
                      example: policy_2c1x7V4r47ynM4RABVm1Co0UKkG
                    description:
                      type: string
                  required:
                    - claim_declaration_type
                    - policy_id
                    - claim_type
                    - claimant_id
                - type: object
                  properties:
                    claim_declaration_type:
                      type: string
                      enum:
                        - BY_POLICY_HOLDER
                    claim_type:
                      type: string
                      enum:
                        - ACCIDENTAL_DEATH
                        - PARTIAL_REDEMPTION
                        - TERM_EXPIRED
                        - TOTAL_REDEMPTION
                      example: ACCIDENTAL_DEATH
                    description:
                      type: string
                    policy_holder:
                      type: object
                      properties:
                        last_name:
                          type: string
                          minLength: 1
                          maxLength: 250
                          example: MALONGA
                        first_name:
                          type: string
                          maxLength: 250
                          example: Jules
                        phone_number:
                          type: string
                          minLength: 1
                          example: '242059758563'
                      required:
                        - last_name
                        - phone_number
                  required:
                    - claim_declaration_type
                    - claim_type
                    - policy_holder
      responses:
        '202':
          description: '''Make a claim'' command accepted and ongoing'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MakeClaimOutput'
        '401':
          description: Authentication invalid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Forbiden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '422':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    MakeClaimOutput:
      type: object
      properties:
        claim_id:
          type: string
          minLength: 1
          example: claim_2c1x7V4r47ynM4RABVm1Co0UKkG
      required:
        - claim_id
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key

````